My Oracle Support Banner

Can DDTrans Views from a newer version of Oracle Gateway for DRDA (DG4DRDA) be used by an older version? (Doc ID 2424874.1)

Last updated on JULY 23, 2018

Applies to:

Oracle Database Gateway for DRDA - Version 12.1.0.2 and later
Information in this document applies to any platform.

Goal

You already have a version of Database Gateway for DRDA (DG4DRDA) installed on your system.  You install a newer version of DG4DRDA on the same server.
After this install, you  need to run the following Oracle supplied scripts on the DB2 target database to create DDTrans views:
(a) dg4db2_as400_drop.sql (drop prior versions)
(b) dg4db2_as400_tab.sql
(c) dg4db2_as400_vw<xx>.sql
(d) dg4db2_tx.sql (creates transaction_log table to enable 2 phase commit)

What impact will this have on the older version of DG4DRDA?  Can both versions of the gateway operate in parallel against the same DB2 database?
 

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.